1.0

1.0

get /v1/guardrail-bindings/targets

Description

list targets for guardrail

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryguardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
stringNone
querytarget_type
required
타겟유형
Example : ACCOUNT
enum (ACCOUNT, OU)None
queryname
optional
타겟명
Example : ou-test
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListTargetsForGuardrailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings/targets?guardrail_id={guardrail_id}&target_type={target_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "targets": [
        {
            "email": "score@samsung.com",
            "id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
            "name": "score-account",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name"
        }
    ]
}